#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sipcalc
Version		:	1.1.6
Release		:	17.2.0.rel%{?dist}
Summary		:	An advanced console based ip subnet calculator
Group		:	Applications/system

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.routemeister.net/projects/sipcalc/

Source0		:	%{name}-%{version}.tar.gz
buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
Sipcalc is an "advanced" console based ip subnet calculator.

#-----------------------------------------------------------------------------
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

autoconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make} DESTDIR="%{buildroot}" install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)

%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%post

#-----------------------------------------------------------------------------
%postun

#-----------------------------------------------------------------------------
%changelog
